/* gcc_c */

#include <stdlib.h>
#include <stdio.h>

int int_compare(const void* a, const void* b) {
	return (*(int*)b) - (*(int*)a);
}

int main() {
	FILE* input;
	FILE* output;
	int i, n;
	int *a;
	
	input = fopen("discount.dat", "r");
	fscanf(input, "%d", &n);

	a = malloc(sizeof(int) * n);
	for (i=0; i<n; i++)
		fscanf(input, "%d", a+i);

	qsort(a, n, sizeof(int), &int_compare);
	
    long sum = 0;
    for (i = 0; i < n; i++) 
      if ((i + 1) % 3 != 0) sum += a[i];


	output = fopen("output.dat", "w");
	fprintf(output, "%d\n", sum);
}
