/* Brute force with dividing into cycles */
#include <cstdio>
#include <algorithm>
#include <queue>
//#include <iostream>

using namespace std;

const char *infile="catacomb.dat";
const char *outfile="catacomb.sol";

const int maxN=10;
const int maxLevels=10;

const int fact[]={1,1,2,6,24,120,720,5040,40320};

typedef pair<int,int> PII;
#define X first
#define Y second

int a[1<<maxN];
int work[1<<maxN];

int solve(int beg,int n/*,int &mcnt,int moves[][2]*/,int ans) {
     int cur;
     int i;
     int left[1<<maxLevels],right[1<<maxLevels];
     int lCnt,rCnt,mid,end;
//     int mleft,mright;
//     int cm[maxMoveCnt][2];
     if(n==0) {
//          mcnt=0;
          return 0;
     }
     mid=beg+(1<<n-1);
     end=beg+(1<<n);
     for(i=beg,lCnt=0;i<mid;i++)
          if(work[i]&&a[i]>=mid)left[lCnt++]=i;
     for(i=mid,rCnt=0;i<end;i++)
          if(work[i]&&a[i]<mid)right[rCnt++]=i;
     if(lCnt!=rCnt) {
//            cerr<<"BADLY divided cycle!!!"<<endl;
			printf("BADLY divided cycle!!!\n");
            exit(1);
     }
     do {
          for(i=0;i<lCnt;i++)swap(a[left[i]],a[right[i]])/*,cm[i][0]=left[i],cm[i][1]=right[i]*/;
          cur=rCnt*n;
          if(cur<ans)cur+=solve(beg,n-1/*,mleft,cm+lCnt*/,ans-cur);
          if(cur<ans)cur+=solve(mid,n-1/*,mright,cm+lCnt+mleft*/,ans-cur);
          if(cur<ans) {
               ans=cur;
//               mcnt=lCnt+mleft+mright;
//               for(i=0;i<mcnt;i++)moves[i][0]=cm[i][0],moves[i][1]=cm[i][1];
          }
//          ans=min(ans,rCnt*n+solve(beg,n-1)+solve(beg+ (1<<n-1),n-1));
          for(i=0;i<lCnt;i++)swap(a[left[i]],a[right[i]]);
     }while(next_permutation(right,right+rCnt));
     return ans;
}

int main() {
    int i,ans,j,n,levels;
    bool visited[1<<maxN]={0};
    FILE *ifs=fopen(infile,"r");
    FILE *ofs=fopen(outfile,"w");
    
    fscanf(ifs,"%d",&levels);
    n=(1<<levels);
    for(i=0;i<n;i++)fscanf(ifs,"%d",&a[i]),a[i]--;
    ans=0;
    for(i=0;i<n;i++) 
        if(!visited[i]) {
            vector<int> x;
            for(j=i;!visited[j];j=a[j]) {
                visited[j]=true;
                x.push_back(j);
            }
//            cerr<<"---\n"<<endl;
//            cerr<<x.size()<<endl;
//            sort(x.begin(),x.end());
//            for(j=0;j<x.size();j++)cerr<<x[j]+1<<" ";
//           cerr<<endl;
            for(j=0;j<n;j++)work[j]=0;
            for(j=0;j<x.size();j++)work[x[j]]=1;
            ans+= j=4*solve(0,levels/*,mcnt,moves*/,1000000000);
//            cerr<< j<<endl;
        }
    fprintf(ofs,"%d\n",ans);
    fclose(ifs);
    fclose(ofs);
    return 0;
}

